[arvados] updated: 2.5.0-186-g58006c8a7

git repository hosting git at public.arvados.org
Tue Mar 21 22:09:25 UTC 2023


Summary of changes:
 .../multi_host/aws/states/grafana_admin_user.sls            | 13 +++++++++++++
 .../aws/states/nginx_prometheus_configuration.sls           |  1 +
 tools/salt-install/provision.sh                             |  6 +++---
 3 files changed, 17 insertions(+), 3 deletions(-)
 create mode 100644 tools/salt-install/config_examples/multi_host/aws/states/grafana_admin_user.sls

       via  58006c8a7d0eec410a1c8acb8ed9270e5e2b2725 (commit)
       via  a304d4634bd1cba84d67e1e105c241f507d6d2b0 (commit)
       via  ab5713c9d48514d08dd71f6d314f574e04a0d023 (commit)
      from  4ea265c3428df5f1764193020d39905c9aa5a2a5 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.


commit 58006c8a7d0eec410a1c8acb8ed9270e5e2b2725
Author: Lucas Di Pentima <lucas.dipentima at curii.com>
Date:   Tue Mar 21 19:07:18 2023 -0300

    16379: Sets grafana's admin user password through the CLI.
    
    Although it's being correctly set on the config file, the admin credentials
    are not bein honored at first server start, and so the default password
    is set in the database.
    
    Arvados-DCO-1.1-Signed-off-by: Lucas Di Pentima <lucas.dipentima at curii.com>

diff --git a/tools/salt-install/config_examples/multi_host/aws/states/grafana_admin_user.sls b/tools/salt-install/config_examples/multi_host/aws/states/grafana_admin_user.sls
new file mode 100644
index 000000000..6ccc8dbd5
--- /dev/null
+++ b/tools/salt-install/config_examples/multi_host/aws/states/grafana_admin_user.sls
@@ -0,0 +1,13 @@
+# Copyright (C) The Arvados Authors. All rights reserved.
+#
+# SPDX-License-Identifier: Apache-2.0
+
+{%- set grafana_server = salt['pillar.get']('grafana', {}) %}
+
+{%- if grafana_server %}
+extra_grafana_admin_user:
+  cmd.run:
+    - name: grafana-cli admin reset-admin-password {{ grafana_server.config.security.admin_password }}
+    - require:
+      - service: grafana-service-running-service-running
+{%- endif %}
\ No newline at end of file
diff --git a/tools/salt-install/provision.sh b/tools/salt-install/provision.sh
index 1b96eeee8..a37169bb0 100755
--- a/tools/salt-install/provision.sh
+++ b/tools/salt-install/provision.sh
@@ -739,6 +739,7 @@ else
         grep -q "\- grafana$" ${S_DIR}/top.sls || echo "    - grafana" >> ${S_DIR}/top.sls
         grep -q "extra.grafana_datasource" ${S_DIR}/top.sls || echo "    - extra.grafana_datasource" >> ${S_DIR}/top.sls
         grep -q "extra.grafana_dashboards" ${S_DIR}/top.sls || echo "    - extra.grafana_dashboards" >> ${S_DIR}/top.sls
+        grep -q "extra.grafana_admin_user" ${S_DIR}/top.sls || echo "    - extra.grafana_admin_user" >> ${S_DIR}/top.sls
 
         if [ "${SSL_MODE}" = "lets-encrypt" ]; then
           grep -q "letsencrypt"     ${S_DIR}/top.sls || echo "    - letsencrypt" >> ${S_DIR}/top.sls

commit a304d4634bd1cba84d67e1e105c241f507d6d2b0
Author: Lucas Di Pentima <lucas.dipentima at curii.com>
Date:   Tue Mar 21 17:30:58 2023 -0300

    16379: Makes sure the nginx formula is included in the keepweb's top file.
    
    Arvados-DCO-1.1-Signed-off-by: Lucas Di Pentima <lucas.dipentima at curii.com>

diff --git a/tools/salt-install/provision.sh b/tools/salt-install/provision.sh
index bc9a3364c..1b96eeee8 100755
--- a/tools/salt-install/provision.sh
+++ b/tools/salt-install/provision.sh
@@ -368,7 +368,6 @@ test -d prometheus && ( cd prometheus && git fetch ) \
   || git clone --quiet https://github.com/saltstack-formulas/prometheus-formula.git ${F_DIR}/prometheus
 ( cd prometheus && git checkout --quiet tags/"${PROMETHEUS_TAG}" )
 
-# This formula doesn't currently have release tags
 echo "...grafana"
 test -d grafana && ( cd grafana && git fetch ) \
   || git clone --quiet https://github.com/saltstack-formulas/grafana-formula.git ${F_DIR}/grafana
@@ -734,7 +733,7 @@ else
         done
 
         ### States ###
-        grep -q "nginx" ${S_DIR}/top.sls || echo "    - nginx" >> ${S_DIR}/top.sls
+        grep -q "\- nginx$" ${S_DIR}/top.sls || echo "    - nginx" >> ${S_DIR}/top.sls
         grep -q "extra.nginx_prometheus_configuration" ${S_DIR}/top.sls || echo "    - extra.nginx_prometheus_configuration" >> ${S_DIR}/top.sls
 
         grep -q "\- grafana$" ${S_DIR}/top.sls || echo "    - grafana" >> ${S_DIR}/top.sls
@@ -826,7 +825,7 @@ else
             echo "    - nginx.passenger" >> ${S_DIR}/top.sls
           fi
         else
-          grep -q "nginx" ${S_DIR}/top.sls || echo "    - nginx" >> ${S_DIR}/top.sls
+          grep -q "\- nginx$" ${S_DIR}/top.sls || echo "    - nginx" >> ${S_DIR}/top.sls
         fi
         if [ "${SSL_MODE}" = "lets-encrypt" ]; then
           if [ "x${USE_LETSENCRYPT_ROUTE53}" = "xyes" ]; then

commit ab5713c9d48514d08dd71f6d314f574e04a0d023
Author: Lucas Di Pentima <lucas.dipentima at curii.com>
Date:   Fri Mar 17 17:39:11 2023 -0300

    16379: Adds nginx dependency to the htpasswd setup.
    
    Arvados-DCO-1.1-Signed-off-by: Lucas Di Pentima <lucas.dipentima at curii.com>

diff --git a/tools/salt-install/config_examples/multi_host/aws/states/nginx_prometheus_configuration.sls b/tools/salt-install/config_examples/multi_host/aws/states/nginx_prometheus_configuration.sls
index 6beca7efb..412afd405 100644
--- a/tools/salt-install/config_examples/multi_host/aws/states/nginx_prometheus_configuration.sls
+++ b/tools/salt-install/config_examples/multi_host/aws/states/nginx_prometheus_configuration.sls
@@ -13,6 +13,7 @@ extra_nginx_prometheus_conf_user___MONITORING_USERNAME__:
     - force: true
     - require:
       - pkg: extra_nginx_prometheus_conf_pkgs
+      - pkg: nginx_install
 
 extra_nginx_prometheus_conf_pkgs:
   pkg.installed:

-----------------------------------------------------------------------


hooks/post-receive
-- 




More information about the arvados-commits mailing list